/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.trifork.stamdata.models;

import java.util.Date;

public class ForaeldreMyndighedRelationVO extends BaseTemporalVO {
    public ForaeldreMyndighedRelationVO() {
    }

    private String CPR;
    private String Id;
    private String TypeKode;
    private String TypeTekst;
    private String RelationCpr;
    private Date RelationCprStartDato;
    private Date ForaeldreMyndighedStartDato;
    private String ForaeldreMyndighedStartDatoMarkering;
    private Date ForaeldreMyndighedSletteDato;
    private String Unreliable;

    public String getUnreliable() {
        return Unreliable;
    }

    public void setUnreliable(String unreliable) {
        Unreliable = unreliable;
    }

    public String getCPR() {
        return CPR;
    }

    public void setCPR(String cPR) {
        CPR = cPR;
    }

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getTypeKode() {
        return TypeKode;
    }

    public void setTypeKode(String typeKode) {
        TypeKode = typeKode;
    }

    public String getTypeTekst() {
        return TypeTekst;
    }

    public void setTypeTekst(String typeTekst) {
        TypeTekst = typeTekst;
    }

    public String getRelationCpr() {
        return RelationCpr;
    }

    public void setRelationCpr(String relationCpr) {
        RelationCpr = relationCpr;
    }

    public Date getRelationCprStartDato() {
        return RelationCprStartDato;
    }

    public void setRelationCprStartDato(Date relationCprStartDato) {
        RelationCprStartDato = relationCprStartDato;
    }

    public Date getForaeldreMyndighedStartDato() {
        return ForaeldreMyndighedStartDato;
    }

    public void setForaeldreMyndighedStartDato(Date foraeldreMyndighedStartDato) {
        ForaeldreMyndighedStartDato = foraeldreMyndighedStartDato;
    }

    public String getForaeldreMyndighedStartDatoMarkering() {
        return ForaeldreMyndighedStartDatoMarkering;
    }

    public void setForaeldreMyndighedStartDatoMarkering(String foraeldreMyndighedStartDatoMarkering) {
        ForaeldreMyndighedStartDatoMarkering = foraeldreMyndighedStartDatoMarkering;
    }

    public Date getForaeldreMyndighedSletteDato() {
        return ForaeldreMyndighedSletteDato;
    }

    public void setForaeldreMyndighedSletteDato(Date foraeldreMyndighedSletteDato) {
        ForaeldreMyndighedSletteDato = foraeldreMyndighedSletteDato;
    }


    @Override
    public String toString() {
        return "ForaeldreMyndighedRelationVO [CPR=" + CPR + ", Id=" + Id + ", TypeKode=" + TypeKode + ", TypeTekst="
                + TypeTekst + ", RelationCpr=" + RelationCpr + ", RelationCprStartDato=" + RelationCprStartDato
                + ", ForaeldreMyndighedStartDato=" + ForaeldreMyndighedStartDato
                + ", ForaeldreMyndighedStartDatoMarkering=" + ForaeldreMyndighedStartDatoMarkering
                + ", ForaeldreMyndighedSletteDato=" + ForaeldreMyndighedSletteDato + ", Unreliable=" + Unreliable
                + ", getValidFrom()=" + getValidFrom() + ", getValidTo()=" + getValidTo() + ", getModifiedDate()="
                + getModifiedDate() + ", getCreatedDate()=" + getCreatedDate() + "]";
    }

    public enum FMRTypeKode {
        MOR("0003","Mor"),
        FAR("0004","Far"),
        AI1("0005","Anden indenhaver 1"),
        AI2("0006","Anden indenhaver 2");

        private final String kode;
        private final String tekst;

        FMRTypeKode(String kode, String tekst) {
            this.kode = kode;
            this.tekst = tekst;
        }

        public static FMRTypeKode getFromKode(String kode) {
            for (FMRTypeKode typekode : values()) {
                if (typekode.getKode().equals(kode)) {
                    return typekode;
                }
            }
            return null;
        }

        public String getKode() {
            return kode;
        }

        public String getTekst() {
            return tekst;
        }

        public boolean isParent() {
            if (this == MOR || this == FAR) {
                return true;
            } else {
                return false;
            }

        }
        public String getId(String relation) {
            if (isParent()) {
                return getTekst().toLowerCase();
            } else {
                return relation;
            }
        }
    }

}
