/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.trifork.stamdata.models;

import java.util.Date;

public class PersonVO extends BaseTemporalVO
{
	public PersonVO()
	{
	}

    private String cpr;

    private String koen;

    private String fornavn;

	private String mellemnavn;

	private String efternavn;

	private String coNavn;

	private String lokalitet;

	private String vejnavn;

	private String bygningsnummer;

	private String husnummer;

	private String etage;

	private String sideDoerNummer;

	private String bynavn;

	private String postnummer;

	private String postdistrikt;

	private String status;
	private Date statusDato;

	private String gaeldendeCPR;

	private Date foedselsdato;

	private String stilling;

	private String vejKode;

	private String kommuneKode;

	private Date navnebeskyttelseslettedato;
	private Date navnebeskyttelsestartdato;

    private String unreliable;

    public String getCpr() {
        return cpr;
    }

    public void setCpr(String cpr) {
        this.cpr = cpr;
    }

    public String getKoen() {
        return koen;
    }

    public void setKoen(String koen) {
        this.koen = koen;
    }

    public String getFornavn() {
        return fornavn;
    }

    public void setFornavn(String fornavn) {
        this.fornavn = fornavn;
    }

    public String getMellemnavn() {
        return mellemnavn;
    }

    public void setMellemnavn(String mellemnavn) {
        this.mellemnavn = mellemnavn;
    }

    public String getEfternavn() {
        return efternavn;
    }

    public void setEfternavn(String efternavn) {
        this.efternavn = efternavn;
    }

    public String getCoNavn() {
        return coNavn;
    }

    public void setCoNavn(String coNavn) {
        this.coNavn = coNavn;
    }

    public String getLokalitet() {
        return lokalitet;
    }

    public void setLokalitet(String lokalitet) {
        this.lokalitet = lokalitet;
    }

    public String getVejnavn() {
        return vejnavn;
    }

    public void setVejnavn(String vejnavn) {
        this.vejnavn = vejnavn;
    }

    public String getBygningsnummer() {
        return bygningsnummer;
    }

    public void setBygningsnummer(String bygningsnummer) {
        this.bygningsnummer = bygningsnummer;
    }

    public String getHusnummer() {
        return husnummer;
    }

    public void setHusnummer(String husnummer) {
        this.husnummer = husnummer;
    }

    public String getEtage() {
        return etage;
    }

    public void setEtage(String etage) {
        this.etage = etage;
    }

    public String getSideDoerNummer() {
        return sideDoerNummer;
    }

    public void setSideDoerNummer(String sideDoerNummer) {
        this.sideDoerNummer = sideDoerNummer;
    }

    public String getBynavn() {
        return bynavn;
    }

    public void setBynavn(String bynavn) {
        this.bynavn = bynavn;
    }

    public String getPostnummer() {
        return postnummer;
    }

    public void setPostnummer(String postnummer) {
        this.postnummer = postnummer;
    }

    public String getPostdistrikt() {
        return postdistrikt;
    }

    public void setPostdistrikt(String postdistrikt) {
        this.postdistrikt = postdistrikt;
    }

    public String getStatus() {
    	return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setStatusDato(Date statusDato)
    {
    	this.statusDato = statusDato;
    }

    public Date getStatusDato()
    {
    	return statusDato;
    }

    public String getGaeldendeCPR() {
        return gaeldendeCPR;
    }

    public void setGaeldendeCPR(String gaeldendeCPR) {
        this.gaeldendeCPR = gaeldendeCPR;
    }

    public Date getFoedselsdato() {
        return foedselsdato;
    }

    public void setFoedselsdato(Date foedselsdato) {
        this.foedselsdato = foedselsdato;
    }

    public String getStilling() {
        return stilling;
    }

    public void setStilling(String stilling) {
        this.stilling = stilling;
    }

    public String getVejKode() {
        return vejKode;
    }

    public void setVejKode(String vejKode) {
        this.vejKode = vejKode;
    }

    public String getKommuneKode() {
        return kommuneKode;
    }

    public void setKommuneKode(String kommuneKode) {
        this.kommuneKode = kommuneKode;
    }

    public Date getNavnebeskyttelseslettedato() {
        return navnebeskyttelseslettedato;
    }

    public void setNavnebeskyttelseslettedato(Date navnebeskyttelseslettedato) {
        this.navnebeskyttelseslettedato = navnebeskyttelseslettedato;
    }

    public Date getNavnebeskyttelsestartdato() {
        return navnebeskyttelsestartdato;
    }

    public void setNavnebeskyttelsestartdato(Date navnebeskyttelsestartdato) {
        this.navnebeskyttelsestartdato = navnebeskyttelsestartdato;
    }

    private String navnTilAdressering;

    public void setNavnTilAdressering(String navnTilAdressering)
    {
    	this.navnTilAdressering = navnTilAdressering;
    }

    public String getNavnTilAdressering()
    {
    	return navnTilAdressering;
    }

    private String vejnavnTilAdressering;

    public void setVejnavnTilAdressering(String vejnavnTilAdressering)
    {
    	this.vejnavnTilAdressering = vejnavnTilAdressering;
    }

    public String getVejnavnTilAdressering()
    {
    	return vejnavnTilAdressering;
    }

    private String foedselsdatoMarkering;

    public String getFoedselsdatoMarkering()
    {
    	return foedselsdatoMarkering;
    }

    public void setFoedselsdatoMarkering(String foedselsdatoMarkering)
    {
    	this.foedselsdatoMarkering = foedselsdatoMarkering;
    }

    public String getUnreliable() {
        return unreliable;
    }

    public void setUnreliable(String unreliable) {
        this.unreliable = unreliable;
    }

    public String toString() {
        return "Person [cpr=" + cpr + ", koen=" + koen + ", fornavn=" + fornavn + ", mellemnavn=" + mellemnavn
                + ", efternavn=" + efternavn + ", coNavn=" + coNavn + ", lokalitet=" + lokalitet + ", vejnavn="
                + vejnavn + ", bygningsnummer=" + bygningsnummer + ", husnummer=" + husnummer + ", etage=" + etage
                + ", sideDoerNummer=" + sideDoerNummer + ", bynavn=" + bynavn + ", postnummer=" + postnummer
                + ", postdistrikt=" + postdistrikt + ", status=" + status + ", statusDato=" + statusDato
                + ", gaeldendeCPR=" + gaeldendeCPR + ", foedselsdato=" + foedselsdato + ", stilling=" + stilling
                + ", vejKode=" + vejKode + ", kommuneKode=" + kommuneKode + ", navnebeskyttelseslettedato="
                + navnebeskyttelseslettedato + ", navnebeskyttelsestartdato=" + navnebeskyttelsestartdato
                + ", navnTilAdressering=" + navnTilAdressering + ", vejnavnTilAdressering=" + vejnavnTilAdressering
                + ", foedselsdatoMarkering=" + foedselsdatoMarkering + "]";
    }


}
