/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.trifork.stamdata.models;

public class SikredeVO extends BaseTemporalVO
{
	public SikredeVO()
	{
	}

    private String CPRnr;
    private String SYdernr;
    private String SIkraftDatoYder;
    private String SRegDatoYder;
    private String SSikrGrpKode;
    private String SIkraftDatoGrp;
    private String SRegDatoGrp;
    private String SSikrKomKode;
    private String SIkraftDatoKomKode;
    private String SYdernrGl;
    private String SIkraftDatoYderGl;
    private String SRegDatoYderGl;
    private String SSikrGrpKodeGl;
    private String SIkraftDatoGrpGl;
    private String SRegDatoGrpGl;
    private String SYdernrFrem;
    private String SIkraftDatoYderFrem;
    private String SRegDatoYderFrem;
    private String SSikrGrpKodeFrem;
    private String SIkraftDatoGrpFrem;
    private String SRegDatoGrpFrem;
    private String SKon;
    private String SAlder;
    private String SFolgerskabsPerson ;
    private String SStatus;
    private String SBevisDato;
    private String PNavn;
    private String SBSStatsborgerskabKode;
    private String SBSStatsborgerskab;
    private String SSKAdrLinie1;
    private String SSKAdrLinie2;
    private String SSKBopelsLand;
    private String SSKBopelsLAndKode;
    private String SSKEmailAdr;
    private String SSKFamilieRelation;
    private String SSKFodselsdato;
    private String SSKGyldigFra;
    private String SSKGyldigTil;
    private String SSKMobilNr;
    private String SSKPostNrBy;
    private String SSLForsikringsinstans;
    private String SSLForsikringsinstansKode;
    private String SSLForsikringsnr;
    private String SSLGyldigFra;
    private String SSLGyldigTil;
    private String SSLSocSikretLand;
    private String SSLSocSikretLandKode;
    public String getCPRnr() {
        return CPRnr;
    }
    public void setCPRnr(String cPRnr) {
        CPRnr = cPRnr;
    }
    public String getSYdernr() {
        return SYdernr;
    }
    public void setSYdernr(String sYdernr) {
        SYdernr = sYdernr;
    }
    public String getSIkraftDatoYder() {
        return SIkraftDatoYder;
    }
    public void setSIkraftDatoYder(String sIkraftDatoYder) {
        SIkraftDatoYder = sIkraftDatoYder;
    }
    public String getSRegDatoYder() {
        return SRegDatoYder;
    }
    public void setSRegDatoYder(String sRegDatoYder) {
        SRegDatoYder = sRegDatoYder;
    }
    public String getSSikrGrpKode() {
        return SSikrGrpKode;
    }
    public void setSSikrGrpKode(String sSikrGrpKode) {
        SSikrGrpKode = sSikrGrpKode;
    }
    public String getSIkraftDatoGrp() {
        return SIkraftDatoGrp;
    }
    public void setSIkraftDatoGrp(String sIkraftDatoGrp) {
        SIkraftDatoGrp = sIkraftDatoGrp;
    }
    public String getSRegDatoGrp() {
        return SRegDatoGrp;
    }
    public void setSRegDatoGrp(String sRegDatoGrp) {
        SRegDatoGrp = sRegDatoGrp;
    }
    public String getSSikrKomKode() {
        return SSikrKomKode;
    }
    public void setSSikrKomKode(String sSikrKomKode) {
        SSikrKomKode = sSikrKomKode;
    }
    public String getSIkraftDatoKomKode() {
        return SIkraftDatoKomKode;
    }
    public void setSIkraftDatoKomKode(String sIkraftDatoKomKode) {
        SIkraftDatoKomKode = sIkraftDatoKomKode;
    }
    public String getSYdernrGl() {
        return SYdernrGl;
    }
    public void setSYdernrGl(String sYdernrGl) {
        SYdernrGl = sYdernrGl;
    }
    public String getSIkraftDatoYderGl() {
        return SIkraftDatoYderGl;
    }
    public void setSIkraftDatoYderGl(String sIkraftDatoYderGl) {
        SIkraftDatoYderGl = sIkraftDatoYderGl;
    }
    public String getSRegDatoYderGl() {
        return SRegDatoYderGl;
    }
    public void setSRegDatoYderGl(String sRegDatoYderGl) {
        SRegDatoYderGl = sRegDatoYderGl;
    }
    public String getSSikrGrpKodeGl() {
        return SSikrGrpKodeGl;
    }
    public void setSSikrGrpKodeGl(String sSikrGrpKodeGl) {
        SSikrGrpKodeGl = sSikrGrpKodeGl;
    }
    public String getSIkraftDatoGrpGl() {
        return SIkraftDatoGrpGl;
    }
    public void setSIkraftDatoGrpGl(String sIkraftDatoGrpGl) {
        SIkraftDatoGrpGl = sIkraftDatoGrpGl;
    }
    public String getSRegDatoGrpGl() {
        return SRegDatoGrpGl;
    }
    public void setSRegDatoGrpGl(String sRegDatoGrpGl) {
        SRegDatoGrpGl = sRegDatoGrpGl;
    }
    public String getSYdernrFrem() {
        return SYdernrFrem;
    }
    public void setSYdernrFrem(String sYdernrFrem) {
        SYdernrFrem = sYdernrFrem;
    }
    public String getSIkraftDatoYderFrem() {
        return SIkraftDatoYderFrem;
    }
    public void setSIkraftDatoYderFrem(String sIkraftDatoYderFrem) {
        SIkraftDatoYderFrem = sIkraftDatoYderFrem;
    }
    public String getSRegDatoYderFrem() {
        return SRegDatoYderFrem;
    }
    public void setSRegDatoYderFrem(String sRegDatoYderFrem) {
        SRegDatoYderFrem = sRegDatoYderFrem;
    }
    public String getSSikrGrpKodeFrem() {
        return SSikrGrpKodeFrem;
    }
    public void setSSikrGrpKodeFrem(String sSikrGrpKodeFrem) {
        SSikrGrpKodeFrem = sSikrGrpKodeFrem;
    }
    public String getSIkraftDatoGrpFrem() {
        return SIkraftDatoGrpFrem;
    }
    public void setSIkraftDatoGrpFrem(String sIkraftDatoGrpFrem) {
        SIkraftDatoGrpFrem = sIkraftDatoGrpFrem;
    }
    public String getSRegDatoGrpFrem() {
        return SRegDatoGrpFrem;
    }
    public void setSRegDatoGrpFrem(String sRegDatoGrpFrem) {
        SRegDatoGrpFrem = sRegDatoGrpFrem;
    }
    public String getSKon() {
        return SKon;
    }
    public void setSKon(String sKon) {
        SKon = sKon;
    }
    public String getSAlder() {
        return SAlder;
    }
    public void setSAlder(String sAlder) {
        SAlder = sAlder;
    }
    public String getSFolgerskabsPerson() {
        return SFolgerskabsPerson;
    }
    public void setSFolgerskabsPerson(String sFolgerskabsPerson) {
        SFolgerskabsPerson = sFolgerskabsPerson;
    }
    public String getSStatus() {
        return SStatus;
    }
    public void setSStatus(String sStatus) {
        SStatus = sStatus;
    }
    public String getSBevisDato() {
        return SBevisDato;
    }
    public void setSBevisDato(String sBevisDato) {
        SBevisDato = sBevisDato;
    }
    public String getPNavn() {
        return PNavn;
    }
    public void setPNavn(String pNavn) {
        PNavn = pNavn;
    }
    public String getSBSStatsborgerskabKode() {
        return SBSStatsborgerskabKode;
    }
    public void setSBSStatsborgerskabKode(String sBSStatsborgerskabKode) {
        SBSStatsborgerskabKode = sBSStatsborgerskabKode;
    }
    public String getSBSStatsborgerskab() {
        return SBSStatsborgerskab;
    }
    public void setSBSStatsborgerskab(String sBSStatsborgerskab) {
        SBSStatsborgerskab = sBSStatsborgerskab;
    }
    public String getSSKAdrLinie1() {
        return SSKAdrLinie1;
    }
    public void setSSKAdrLinie1(String sSKAdrLinie1) {
        SSKAdrLinie1 = sSKAdrLinie1;
    }
    public String getSSKAdrLinie2() {
        return SSKAdrLinie2;
    }
    public void setSSKAdrLinie2(String sSKAdrLinie2) {
        SSKAdrLinie2 = sSKAdrLinie2;
    }
    public String getSSKBopelsLand() {
        return SSKBopelsLand;
    }
    public void setSSKBopelsLand(String sSKBopelsLand) {
        SSKBopelsLand = sSKBopelsLand;
    }
    public String getSSKBopelsLAndKode() {
        return SSKBopelsLAndKode;
    }
    public void setSSKBopelsLAndKode(String sSKBopelsLAndKode) {
        SSKBopelsLAndKode = sSKBopelsLAndKode;
    }
    public String getSSKEmailAdr() {
        return SSKEmailAdr;
    }
    public void setSSKEmailAdr(String sSKEmailAdr) {
        SSKEmailAdr = sSKEmailAdr;
    }
    public String getSSKFamilieRelation() {
        return SSKFamilieRelation;
    }
    public void setSSKFamilieRelation(String sSKFamilieRelation) {
        SSKFamilieRelation = sSKFamilieRelation;
    }
    public String getSSKFodselsdato() {
        return SSKFodselsdato;
    }
    public void setSSKFodselsdato(String sSKFodselsdato) {
        SSKFodselsdato = sSKFodselsdato;
    }
    public String getSSKGyldigFra() {
        return SSKGyldigFra;
    }
    public void setSSKGyldigFra(String sSKGyldigFra) {
        SSKGyldigFra = sSKGyldigFra;
    }
    public String getSSKGyldigTil() {
        return SSKGyldigTil;
    }
    public void setSSKGyldigTil(String sSKGyldigTil) {
        SSKGyldigTil = sSKGyldigTil;
    }
    public String getSSKMobilNr() {
        return SSKMobilNr;
    }
    public void setSSKMobilNr(String sSKMobilNr) {
        SSKMobilNr = sSKMobilNr;
    }
    public String getSSKPostNrBy() {
        return SSKPostNrBy;
    }
    public void setSSKPostNrBy(String sSKPostNrBy) {
        SSKPostNrBy = sSKPostNrBy;
    }
    public String getSSLForsikringsinstans() {
        return SSLForsikringsinstans;
    }
    public void setSSLForsikringsinstans(String sSLForsikringsinstans) {
        SSLForsikringsinstans = sSLForsikringsinstans;
    }
    public String getSSLForsikringsinstansKode() {
        return SSLForsikringsinstansKode;
    }
    public void setSSLForsikringsinstansKode(String sSLForsikringsinstansKode) {
        SSLForsikringsinstansKode = sSLForsikringsinstansKode;
    }
    public String getSSLForsikringsnr() {
        return SSLForsikringsnr;
    }
    public void setSSLForsikringsnr(String sSLForsikringsnr) {
        SSLForsikringsnr = sSLForsikringsnr;
    }
    public String getSSLGyldigFra() {
        return SSLGyldigFra;
    }
    public void setSSLGyldigFra(String sSLGyldigFra) {
        SSLGyldigFra = sSLGyldigFra;
    }
    public String getSSLGyldigTil() {
        return SSLGyldigTil;
    }
    public void setSSLGyldigTil(String sSLGyldigTil) {
        SSLGyldigTil = sSLGyldigTil;
    }
    public String getSSLSocSikretLand() {
        return SSLSocSikretLand;
    }
    public void setSSLSocSikretLand(String sSLSocSikretLand) {
        SSLSocSikretLand = sSLSocSikretLand;
    }
    public String getSSLSocSikretLandKode() {
        return SSLSocSikretLandKode;
    }
    public void setSSLSocSikretLandKode(String sSLSocSikretLandKode) {
        SSLSocSikretLandKode = sSLSocSikretLandKode;
    }
    @Override
    public String toString() {
        return "SikredeVO [CPRnr=" + CPRnr + ", SYdernr=" + SYdernr + ", SIkraftDatoYder=" + SIkraftDatoYder
                + ", SRegDatoYder=" + SRegDatoYder + ", SSikrGrpKode=" + SSikrGrpKode + ", SIkraftDatoGrp="
                + SIkraftDatoGrp + ", SRegDatoGrp=" + SRegDatoGrp + ", SSikrKomKode=" + SSikrKomKode
                + ", SIkraftDatoKomKode=" + SIkraftDatoKomKode + ", SYdernrGl=" + SYdernrGl + ", SIkraftDatoYderGl="
                + SIkraftDatoYderGl + ", SRegDatoYderGl=" + SRegDatoYderGl + ", SSikrGrpKodeGl=" + SSikrGrpKodeGl
                + ", SIkraftDatoGrpGl=" + SIkraftDatoGrpGl + ", SRegDatoGrpGl=" + SRegDatoGrpGl + ", SYdernrFrem="
                + SYdernrFrem + ", SIkraftDatoYderFrem=" + SIkraftDatoYderFrem + ", SRegDatoYderFrem="
                + SRegDatoYderFrem + ", SSikrGrpKodeFrem=" + SSikrGrpKodeFrem + ", SIkraftDatoGrpFrem="
                + SIkraftDatoGrpFrem + ", SRegDatoGrpFrem=" + SRegDatoGrpFrem + ", SKon=" + SKon + ", SAlder=" + SAlder
                + ", SFolgerskabsPerson=" + SFolgerskabsPerson + ", SStatus=" + SStatus + ", SBevisDato=" + SBevisDato
                + ", PNavn=" + PNavn + ", SBSStatsborgerskabKode=" + SBSStatsborgerskabKode + ", SBSStatsborgerskab="
                + SBSStatsborgerskab + ", SSKAdrLinie1=" + SSKAdrLinie1 + ", SSKAdrLinie2=" + SSKAdrLinie2
                + ", SSKBopelsLand=" + SSKBopelsLand + ", SSKBopelsLAndKode=" + SSKBopelsLAndKode + ", SSKEmailAdr="
                + SSKEmailAdr + ", SSKFamilieRelation=" + SSKFamilieRelation + ", SSKFodselsdato=" + SSKFodselsdato
                + ", SSKGyldigFra=" + SSKGyldigFra + ", SSKGyldigTil=" + SSKGyldigTil + ", SSKMobilNr=" + SSKMobilNr
                + ", SSKPostNrBy=" + SSKPostNrBy + ", SSLForsikringsinstans=" + SSLForsikringsinstans
                + ", SSLForsikringsinstansKode=" + SSLForsikringsinstansKode + ", SSLForsikringsnr=" + SSLForsikringsnr
                + ", SSLGyldigFra=" + SSLGyldigFra + ", SSLGyldigTil=" + SSLGyldigTil + ", SSLSocSikretLand="
                + SSLSocSikretLand + ", SSLSocSikretLandKode=" + SSLSocSikretLandKode + ", getValidFrom()="
                + getValidFrom() + ", getValidTo()=" + getValidTo() + ", getModifiedDate()=" + getModifiedDate()
                + ", getCreatedDate()=" + getCreatedDate() + "]";
    }


}
