/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.stamdata.replication.vo;

public class ColumnMapVO {
    private boolean isPid;
    private String tableColumnName;
    private String feedColumnName;
    private int feedPosition;
    private int dataType;
    private Integer maxLength;

    public boolean isPid() {
        return isPid;
    }

    public void setPid(boolean pid) {
        isPid = pid;
    }

    public String getTableColumnName() {
        return tableColumnName;
    }

    public void setTableColumnName(String tableColumnName) {
        this.tableColumnName = tableColumnName;
    }

    public String getFeedColumnName() {
        return feedColumnName;
    }

    public void setFeedColumnName(String feedColumnName) {
        this.feedColumnName = feedColumnName;
    }

    public int getFeedPosition() {
        return feedPosition;
    }

    public void setFeedPosition(int feedPosition) {
        this.feedPosition = feedPosition;
    }

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public Integer getMaxLength() {
        return maxLength;
    }

    public void setMaxLength(Integer maxLength) {
        this.maxLength = maxLength;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ColumnMapVO that = (ColumnMapVO) o;

        if (dataType != that.dataType) return false;
        if (feedPosition != that.feedPosition) return false;
        if (isPid != that.isPid) return false;
        if (feedColumnName != null ? !feedColumnName.equals(that.feedColumnName) : that.feedColumnName != null)
            return false;
        if (maxLength != null ? !maxLength.equals(that.maxLength) : that.maxLength != null) return false;
        if (!tableColumnName.equals(that.tableColumnName)) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (isPid ? 1 : 0);
        result = 31 * result + tableColumnName.hashCode();
        result = 31 * result + (feedColumnName != null ? feedColumnName.hashCode() : 0);
        result = 31 * result + feedPosition;
        result = 31 * result + dataType;
        result = 31 * result + (maxLength != null ? maxLength.hashCode() : 0);
        return result;
    }
}
