/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.stamdata.replication.vo;

import java.util.*;

public class ViewMapVO {
    private String register;
    private String datatype;
    private long version;
    private String tableName;
    private Date createdDate;

    private List<ColumnMapVO> columnMaps = new LinkedList<ColumnMapVO>();

    public String getRegister() {
        return register;
    }

    public void setRegister(String register) {
        this.register = register;
    }

    public String getDatatype() {
        return datatype;
    }

    public void setDatatype(String datatype) {
        this.datatype = datatype;
    }

    public long getVersion() {
        return version;
    }

    public void setVersion(long version) {
        this.version = version;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public void addColumn(ColumnMapVO columnMapVO) {
        columnMaps.add(columnMapVO);
    }

    public List<ColumnMapVO> getColumnMaps() {
        return columnMaps;
    }

    @Override
    public String toString() {
        return "ViewMapVO{" +
                "register='" + register + '\'' +
                ", datatype='" + datatype + '\'' +
                ", version=" + version +
                ", tableName='" + tableName + '\'' +
                ", createdDate=" + createdDate +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ViewMapVO viewMapVO = (ViewMapVO) o;

        if (version != viewMapVO.version) return false;
        if (columnMaps != null ? !columnMaps.equals(viewMapVO.columnMaps) : viewMapVO.columnMaps != null) return false;
        if (createdDate != null ? !createdDate.equals(viewMapVO.createdDate) : viewMapVO.createdDate != null)
            return false;
        if (!datatype.equals(viewMapVO.datatype)) return false;
        if (!register.equals(viewMapVO.register)) return false;
        if (!tableName.equals(viewMapVO.tableName)) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = register.hashCode();
        result = 31 * result + datatype.hashCode();
        result = 31 * result + (int) (version ^ (version >>> 32));
        result = 31 * result + tableName.hashCode();
        result = 31 * result + (createdDate != null ? createdDate.hashCode() : 0);
        result = 31 * result + (columnMaps != null ? columnMaps.hashCode() : 0);
        return result;
    }
}
