/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.stamdata.cpr.mapping;

import java.util.List;

import com.google.common.collect.ImmutableList;


public interface CivilRegistrationStatusCodes
{
	//Aktiv, bopæl i dansk folkeregister
	static final String AKTIV = "01";

	// Inaktiv, uden bopæl i dansk/grønlandsk folkeregister
	// men tildelt personnummer af skattehensyn
	static final String FOR_TAX_PURPOSES = "20";

	// Inaktiv, anulleret personnummer
	static final String CANCELLED = "30";

	// Inaktiv, slettet personnummer ved dobbeltnummer
	static final String DELETED = "50";

	// Inaktiv, ændret personnummer ved ændring af fødselsdato og køn
	static final String CHANGED = "60";

	// Inaktiv, forsvundet
	static final String MISSING = "70";

	// Inaktiv, udrejst
	static final String LEFT_DK = "80";

	// Inaktiv, død
	static final String DEAD = "90";

	static final List<String> STATUSES_WITH_NO_ADDRESS = ImmutableList.of(
			FOR_TAX_PURPOSES,
			CANCELLED,
			DELETED,
			CHANGED,
			MISSING,
			LEFT_DK,
			DEAD
	);

}
