/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.trifork.stamdata.yder.models;

import static com.trifork.stamdata.Preconditions.checkNotNull;

import java.math.BigInteger;

public class Yder {

	protected Yder() {

	}

	public Yder(String ydernummer) {
		this.ydernummer = checkNotNull(ydernummer);
	}

	private String amtkode;
    private String amtkodeText;
    private String ydernummer;
    private String praksisbetegnelse;
    private String addresse;
    private String postnummer;
    private String postdistrikt;
    private String tilgangsdato;
    private String afgangsdato;
    private String specialkode;
    private String specialetekst;
    private String telefon;
    private String email;
    private String web;
    private String cvr;

    public String getAmtkode() {
        return amtkode;
    }

    public void setAmtkode(String amtkode) {
        this.amtkode = amtkode;
    }

    public String getAmtText() {
        return amtkodeText;
    }

    public void setAmtText(String amtkodeText) {
        this.amtkodeText = amtkodeText;
    }

    public String getYdernummer() {
        return ydernummer;
    }

    public void setYdernummer(String ydernummer) {
        this.ydernummer = ydernummer;
    }

    public String getPraksisbetegnelse() {
        return praksisbetegnelse;
    }

    public void setPraksisbetegnelse(String praksisbetegnelse) {
        this.praksisbetegnelse = praksisbetegnelse;
    }

    public String getAddresse() {
        return addresse;
    }

    public void setAddresse(String addresse) {
        this.addresse = addresse;
    }

    public String getPostnummer() {
        return postnummer;
    }

    public void setPostnummer(String postnummer) {
        this.postnummer = postnummer;
    }

    public String getPostdistrikt() {
        return postdistrikt;
    }

    public void setPostdistrikt(String postdistrikt) {
        this.postdistrikt = postdistrikt;
    }

    public String getTilgangsdato() {
        return tilgangsdato;
    }

    public void setTilgangsdato(String tilgangsdato) {
        this.tilgangsdato = tilgangsdato;
    }

    public String getAfgangsdato() {
        return afgangsdato;
    }

    public void setAfgangsdato(String afgangsdato) {
        this.afgangsdato = afgangsdato;
    }

    public String getSpecialkode() {
        return specialkode;
    }

    public void setSpecialkode(String specialkode) {
        this.specialkode = specialkode;
    }

    public String getSpecialetekst() {
        return specialetekst;
    }

    public void setSpecialetekst(String specialetekst) {
        this.specialetekst = specialetekst;
    }

    public String getTelefon() {
        return telefon;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getWeb() {
        return web;
    }

    public void setWeb(String web) {
        this.web = web;
    }

    public String getCvr() {
        return cvr;
    }

    public void setCvr(String cvr) {
        this.cvr = cvr;
    }
}
