/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.trifork.stamdata.yder.models;

import static com.trifork.stamdata.Preconditions.checkNotNull;

import java.util.Date;


public class YderPerson {

	protected YderPerson() {

	}

    public YderPerson(String ydernummer) {
	     this.ydernummer = checkNotNull(ydernummer);
    }

	public YderPerson(String ydernummer,String cpr) {
		this.ydernummer = checkNotNull(ydernummer);
        this.cpr = checkNotNull(cpr);
	}

    private String ydernummer;
    private String tilgangsdato;
    private String afgangsdato;
    private String cpr;
    private String personrollekode;
    private String personrolletekst;
    private Date modifiedDate;
    private Date validFrom;
    private Date validTo;

    public String getYdernummer() {
        return ydernummer;
    }

    public void setYdernummer(String ydernummer) {
        this.ydernummer = ydernummer;
    }

    public String getTilgangsdato() {
        return tilgangsdato;
    }

    public void setTilgangsdato(String tilgangsdato) {
        this.tilgangsdato = tilgangsdato;
    }

    public String getAfgangsdato() {
        return afgangsdato;
    }

    public void setAfgangsdato(String afgangsdato) {
        this.afgangsdato = afgangsdato;
    }

    public String getCpr() {
        return cpr;
    }

    public void setCpr(String cpr) {
        this.cpr = cpr;
    }

    public String getPersonrollekode() {
        return personrollekode;
    }

    public void setPersonrollekode(String personrollekode) {
        this.personrollekode = personrollekode;
    }

    public String getPersonrolletekst() {
        return personrolletekst;
    }

    public void setPersonrolletekst(String personrolletekst) {
        this.personrolletekst = personrolletekst;
    }

    public Date getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Date modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Date getValidFrom() {
        return validFrom;
    }

    public void setValidFrom(Date validFrom) {
        this.validFrom = validFrom;
    }

    public Date getValidTo() {
        return validTo;
    }

    public void setValidTo(Date validTo) {
        this.validTo = validTo;
    }
}
